<bugID>1050372<Summary>Implement a live timeline of gecko operations</Summary><Description>We want developers to be able to see in real time what operations gecko is doing. For example, these operations can be:
- reflows
- paint
- restyle
- compositing
- DOM events
- ...

This could be built as a waterfall.</Description></bugID>